summaryrefslogtreecommitdiff
path: root/beryl-plugins-vidcap
diff options
context:
space:
mode:
authorwereHamster <wereHamster@d7aaf104-2d23-0410-ae22-9d23157bf5a3>2007-02-01 12:57:26 +0000
committerwereHamster <wereHamster@d7aaf104-2d23-0410-ae22-9d23157bf5a3>2007-02-01 12:57:26 +0000
commitbcd974ee6d1743948982018b410e7f47e83e4a30 (patch)
tree3573ca7b7b3adcaabc58b2d5543217d07f4f555e /beryl-plugins-vidcap
parentc7e44547f0b012f6170be93c970c15ac6f9b2a3e (diff)
downloadmarex-dev-bcd974ee6d1743948982018b410e7f47e83e4a30.tar.gz
marex-dev-bcd974ee6d1743948982018b410e7f47e83e4a30.tar.bz2
beryl-plugins-vidcap: add a build script to help users installing the plugin.
The script will try to extract the PREFIX from the beryl executable and install the files into the correct directories. git-svn-id: file:///beryl/trunk@3544 d7aaf104-2d23-0410-ae22-9d23157bf5a3
Diffstat (limited to 'beryl-plugins-vidcap')
-rw-r--r--beryl-plugins-vidcap/README9
-rwxr-xr-xberyl-plugins-vidcap/build.sh36
2 files changed, 43 insertions, 2 deletions
diff --git a/beryl-plugins-vidcap/README b/beryl-plugins-vidcap/README
index 21dbf37..799f59a 100644
--- a/beryl-plugins-vidcap/README
+++ b/beryl-plugins-vidcap/README
@@ -1,5 +1,10 @@
-In order to use beryl-vidcap, you must have seom. You can check it out
+In order to use beryl-plugins-vidcap, you must have seom. You can check it out
via svn at: svn://dbservice.com/big/svn/seom/trunk
The command to check it out is:
-# svn co svn://dbservice.com/big/svn/seom/trunk seom
+ $ svn co svn://dbservice.com/big/svn/seom/trunk seom
+
+To install beryl-plugins-vidcap, use the build.sh script. It takes one
+argument, 'local' or 'system': 'local' will install the plugin into your local
+plugin directory located at $HOME/.beryl/plugins, 'system' will try to install
+it into /usr/lib/beryl or /usr/local/lib/beryl.
diff --git a/beryl-plugins-vidcap/build.sh b/beryl-plugins-vidcap/build.sh
new file mode 100755
index 0000000..a1d8589
--- /dev/null
+++ b/beryl-plugins-vidcap/build.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+if [ -z "${1}" ]; then
+ echo "usage: ./build.sh [local|system]"
+ exit 1
+fi
+
+SRCDIR="$(dirname ${0})"
+ORGDIR="$(pwd)"
+
+cd ${SRCDIR}
+
+echo "Cleaning old files"
+make clean &>/dev/null
+
+echo "Building the plugin"
+make &>/dev/null
+
+if [ "${1}" = "local" ]; then
+ echo "Installing into ${HOME}/.beryl"
+ mkdir -p ${HOME}/.beryl/plugins ${HOME}/.beryl/images
+ cp .libs/libcapture.so ${HOME}/.beryl/plugins
+ cp seom.png ${HOME}/.beryl/images
+elif [ "${1}" = "system" ]; then
+ BIN="$(which beryl)"
+ echo -n "Extracting PREFIX from ${BIN} ... "
+ PREFIX=$(strings ${BIN} | grep -E "/usr.*/lib/beryl")
+ PREFIX=${PREFIX%%/lib/beryl}
+ echo "${PREFIX}"
+
+ echo "Installing into ${PREFIX}/lib/beryl"
+ sudo make install PREFIX="${PREFIX}" &>/dev/null
+ libtool --finish ${PREFIX}/lib/beryl &>/dev/null
+fi
+
+cd ${ORGDIR}